Page MenuHomePhabricator

Missing search results when using contentmodel filter
Closed, ResolvedPublic

Description

On frwiki, the following search query (as of today) gives me one result (Utilisateur:Garfieldairlines/monobook.css):

insource:DeluxeBar intitle:Garfieldairines

(actually the "intitle" filter is only to emphasize the issue)

But if I add a contentmodel filter, the result is missing:

insource:DeluxeBar intitle:Garfieldairines contentmodel:css

Event Timeline

Od1n created this task.May 20 2018, 11:28 AM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptMay 20 2018, 11:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
EBjune added a subscriber: EBjune.May 31 2018, 5:24 PM

The index for this page hasn't been updated since content models were added, so an edit to the page will update it, and we'll look at taking care of the issue at a more global level

EBjune triaged this task as Normal priority.May 31 2018, 5:24 PM
EBjune moved this task from needs triage to Up Next on the Discovery-Search board.
EBjune moved this task from Up Next to This Quarter on the Discovery-Search board.
Vvjjkkii renamed this task from Missing search results when using contentmodel filter to blcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from blcaaaaaaa to Missing search results when using contentmodel filter.Jul 2 2018, 5:03 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
EBernhardson closed this task as Resolved.Sep 11 2018, 5:23 PM
EBernhardson claimed this task.
EBernhardson added a subscriber: EBernhardson.

The reindexing will be resolved by T203622. The first pass through should be finished mid-december which will reindex all pages missing content models.